////////////////////////////////////////////////////////////////////////////////
// 源程序名称：U_iniParam.pas
// 软件著作权：富通软件有限公司 版权所有
//   系统名称：富通印染ERP车间作业系统
//   模块名称：生产配料
//   功能说明：生产计划模块ini配置文件操作设置
//       作者：官惠平
//       审核：
////////////////////////////////////////////////////////////////////////////////
unit U_iniParam;

interface
uses
  IniFiles,SysUtils;
var
  Filename:string;      //文件名
  iParam2:integer;
  gIsyxMoneyFck:Boolean;  //是否允许否金额出库
  gIsyxfck:Boolean;     //是否允许负出库
  gKcWarning:Boolean;           //库存报警
  bParam2:Boolean;
  gSxWhcode:string;     //纱线仓库代号
  IsSxMaterialzd:Boolean;
  IsCrkMoney:boolean;
  MaterialNozf:string;
  Function IsINIFile():Boolean;  //判断InI配置文件是否存在
  procedure ReadINIFile();
  procedure WriteINIFile();
implementation
///////////////////////////////////////////////////////////////////
  //读取ini文件设置参数
  //参数：
////////////////////////////////////////////////////////////////////
procedure ReadINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'SaXian.INI';
  gSxWhcode:='SX01';

  programIni:=Tinifile.create(FileName);
  IsSxMaterialzd:=programIni.ReadBool('仓库设置','物料编号是否自动产生',false);
  MaterialNozf:=programIni.ReadString('仓库设置','物料编号自动产生编号字符','');
  IsCrkMoney:=programIni.ReadBool('仓库设置','出入库是否含有金额',true);
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //写设置信息到INI文件
  //参数
//////////////////////////////////////////////////////////////////
procedure WriteINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'SaXian.INI';
  gSxWhcode:='SX01';
  IsSxMaterialzd:=false;
  MaterialNozf:='';
  IsCrkMoney:=true;
  programIni:=Tinifile.create(FileName);
  programIni.WriteString('仓库设置','仓库代号',gSxWhcode);
  programIni.WriteBool('仓库设置','物料编号是否自动产生',IsSxMaterialzd);
  programIni.WriteString('仓库设置','物料编号自动产生编号字符',MaterialNozf);
  programIni.WriteBool('仓库设置','出入库是否含有金额',IsCrkMoney);
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //判断InI文件是否存在
//////////////////////////////////////////////////////////////////
Function IsINIFile():Boolean;
begin
   FileName:=ExtractFilePath(Paramstr(0))+'SaXian.INI';
   if FileExists(FileName) then
      Result:=true
   else
      Result:=false;
end;

end.
